<?php
/*
 * usage:
 *
 */
require_once( 'csv/CsvBase.php' );

class csv_usb_operations extends CsvBase{
	public function getCsvTitle(){
		$this->special_cols['Fileop/status_time']=__('dating',$return = true);
		$this->special_cols['Group/group_name']=__('groupName',$return = true);
		$this->special_cols['Host/host_name']=__('Host/host_name',$return = true);
		$this->special_cols['Fileop/account']=__('logon_account',$return = true);
		$this->special_cols['Fileop/operation_type']=__('status',$return = true);
		$this->special_cols['Fileop/filepath']=__('filename',$return = true);      
		$this->special_cols['Fileop/oldpath']=__('oldfilename',$return = true);      

		return parent::getCsvTitle();		
	}
				   
	public  function getSearchTitle(){
		$this->common_search_title1[0]=__('',$retrun=true);
		$this->common_search_title1[1]=__('report',$retrun=true);
		
		$this->special_search_title['']=__('search_con',$retrun=true);
		$this->special_search_title['dt_check/start_year start_month start_day']=__('start_time',$retrun=true);
		$this->special_search_title['dt_check/end_year end_month end_day']=__('end_time',$retrun=true);
		$this->special_search_title['dt_check/start_hour start_min end_hour end_min']="一日毎の時間指定";
		$this->special_search_title['Fileop/systemaccount']=__('systemaccount',$retrun=true);
		$this->special_search_title['Group/group_name']=__('groupName',$retrun=true);
		$this->special_search_title['Host/host_name']="コンピュータ名";
		//$this->special_search_title['Fileop/status_ck1 status_ck2 status_ck3 status_ck4 status_ck5 status_ck6']="ステータス";
		$this->special_search_title['Fileop/status_ck']="ステータス";
		$this->special_search_title['Fileop/filename_t']="ファイル名";
		$this->special_search_title['Fileop/extension_t']="拡張子";	
		
		return parent::getSearchTitle();
	}
		
  public function doSpeci($colname,$row){

    if($colname=="Fileop/operation_type")
    {
    	//print_r($colname);
        $keys=explode("/",$colname);  
        if($row[$keys[0]][$keys[1]]==2)
        {
            $row[$keys[0]][$keys[1]]=__('create',$return = true);
        }  
        else if($row[$keys[0]][$keys[1]]==3)
        {
            $row[$keys[0]][$keys[1]]=__('del',$return = true);
        }
        else if($row[$keys[0]][$keys[1]]==6)
        {
            $row[$keys[0]][$keys[1]]=__('rename',$return = true);
        }   
        else if($row[$keys[0]][$keys[1]]==7)
        {
            $row[$keys[0]][$keys[1]]=__('move',$return = true);
        }
        else if($row[$keys[0]][$keys[1]]==8)
        {
            $row[$keys[0]][$keys[1]]=__('copy',$return = true);
        }
        else if($row[$keys[0]][$keys[1]]==9)
        {
            $row[$keys[0]][$keys[1]]=__('move',$return = true)."・".__('rename',$return = true);
        }  
		else if($row[$keys[0]][$keys[1]]==10)
        {
            $row[$keys[0]][$keys[1]]=__('update',$return = true);
        }
    }

    return parent::doSpeci($colname,$row);
  }		
}
?>